/*
// $Id: //guest/julian_hyde/saffron/src/examples/sales/SalesInMemory.java#1 $
// Saffron preprocessor and data engine
// Copyright (C) 2002 Julian Hyde <julian.hyde@mail.com>
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Library General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Library General Public License for more details.
//
// You should have received a copy of the GNU Library General Public
// License along with this library; if not, write to the
// Free Software Foundation, Inc., 59 Temple Place - Suite 330,
// Boston, MA  02111-1307, USA.
//
// See the COPYING file located in the top-level-directory of
// the archive of this library for complete text of license.
//
// jhyde, 17 April, 2002
*/

package sales;

/**
 * <code>SalesInMemory</code> holds the same data as {@link Sales}, and can be
 * used in code in an identical way, but the data is held in regular arrays.
 **/
public class SalesInMemory {
	public Emp[] emps = new Emp[] {
		new Emp(100, "Fred", 10, "M", "San Francisco"),
		new Emp(110, "Eric", 20, "M", "San Francisco"),
		new Emp(110, "John", 40, "M", "Vancouver"),
		new Emp(120, "Wilma", 20, "F", "Los Angeles")};

	public Dept[] depts = new Dept[] {
		new Dept(10, "Sales"),
		new Dept(20, "Marketing"),
		new Dept(30, "Accounts")};
}

// End SalesInMemory.java

